Subject: Re: Why is gre0 auto-created, and can we fix it?

From: Ben Greear <[email-masked]>
Date: Sat, 21 Jan 2012 09:48:52 -0800

On 01/21/2012 09:39 AM, Krzysztof Halasa wrote:
> Ben Greear<[email-masked]>  writes:
>
>>>> As far as I can tell, no other interfaces are auto-created
>>>> in this manner.
>>>
>>> ip6tnl0 and sit0 do it too, just grep for alloc_netdev() under
>>> net/{ipv4,ipv6}/
>>
>> So, no changing the behaviour?
>
> Perhaps making it CONFIGurable would be safe enough, not that I like
> CONFIG options for all tiny details (one may argue it's not a tiny
> detail).
>
> Haven't looked at the actual code.

Seems like it could be a run-time configurable, maybe module or boot option
or sysctl or something.

I haven't looked any more at the code either...maybe next week (tm).

Thanks,
Ben

-- 
Ben Greear <[email-masked]>
Candela Technologies Inc  http://www.candelatech.com